.referral-history {
  width: 100%;
  margin: 25px 0px;
  border-top: 2px dashed #0000008c;
  padding-top: 20px;
}
.referral-history .history-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 18px;
}
.referral-history .history-header h5 {
  margin: 0;
  font-size: 16px;
  font-weight: 600;
  color: #343434;
}
.referral-history .sort-box {
  display: flex;
  align-items: center;
  gap: 8px;
  color: #343434;
  font-size: 16px;
  font-weight: 500;
  cursor: pointer;
}
.referral-history .referral-card {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border: 1px solid #dcdcdc;
  border-radius: 6px;
  padding: 10px 13px;
  margin-bottom: 10px;
  background: #fff;
}
.referral-history .left-content {
  display: flex;
  align-items: center;
  gap: 14px;
}
.referral-history .referral-card-wrapper {
  overflow: auto;
  height: 500px;
  scrollbar-width: none;
}
.referral-history .user-icon {
  width: 66px;
  height: 66px;
  border-radius: 50%;
  background: #f4f4f4;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #999;
  font-size: 70px;
  overflow: hidden;
}
.referral-history .referral-id {
  margin: 0 0 4px;
  color: #ee4823;
  font-size: 15px;
  font-weight: 600;
}
.referral-history .referral-id span {
  font-weight: 700;
}
.referral-history .user-details h4 {
  margin: 0 0 4px;
  font-size: 18px;
  font-weight: 600;
  color: #222222;

  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.referral-history .join-date {
  margin: 0;
  color: #2d2d2d;
  font-size: 14px;
  font-weight: 400;
}
.referral-history .status-content {
  text-align: right;
}
.referral-history .status-title {
  margin: 0 0 8px;
  color: #2d2d2d;
  font-size: 13px;
}
.referral-history .status-content h6 {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 6px;
  margin: 0 0 5px;
  font-size: 14px;
  font-weight: 600;
}
.referral-history .status-dot {
  width: 10px;
  height: 10px;
  border-radius: 50%;
}
.referral-history .status-content small {
  color: #707070;
  font-size: 12px;
  white-space: nowrap;

  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
  max-width: 200px;
}
.referral-history .filter-wrapper {
  position: relative;
}
.referral-history .sort-box {
  display: flex;
  align-items: center;
  gap: 8px;
  cursor: pointer;
}
.referral-history .filter-dropdown {
  position: absolute;
  top: 35px;
  right: 0;
  width: 140px;
  background: #fff;
  border: 1px solid #ddd;
  border-radius: 4px;
  box-shadow: 0 3px 12px rgba(0, 0, 0, 0.12);
  z-index: 99;
}
.referral-history .filter-item {
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 5px 12px;
  font-size: 14px;
  cursor: pointer;
  background: #f5f5f5;
  border-bottom: 1px solid #70707024;
}
.referral-history .filter-item:last-child {
  border-bottom: none;
}
.referral-history .filter-item:hover {
  background: #f8f8f8;
}
.referral-history .dot {
  width: 10px;
  height: 10px;
  border-radius: 50%;
}
.referral-history .completed {
  background: #39c5bb;
}
.referral-history .progress {
  background: #f1c40f;
}
.referral-history .pending {
  background: #ff6b6b;
}

@media (min-width: 0px) and (max-width: 1199.98px) {
  .referral-history .user-icon {
    width: 60px;
    height: 60px;
  }
  .referral-history .user-details h4 {
    font-size: 16px;
  }
  .referral-history .referral-id {
    font-size: 14px;
  }
  .referral-history .join-date {
    font-size: 13px;
  }
  .referral-history .status-content h6 {
    font-size: 13px;
  }
  .referral-history .sort-box {
    font-size: 15px;
  }
  .referral-history .history-header h5 {
    font-size: 15px;
  }
  .referral-history {
    margin: 20px 0px;

    padding-top: 10px;
  }
}

@media (min-width: 576px) and (max-width: 767.98px) {
  .referral-history .user-icon {
    width: 50px;
    height: 50px;
  }
  .referral-history .referral-id {
    font-size: 13px;
  }
  .referral-history .user-details h4 {
    font-size: 15px;
  }
  .referral-history .status-title,
  .referral-history .join-date {
    font-size: 12px;
  }
  .referral-history .history-header h5 {
    font-size: 14px;
  }
  .referral-history .sort-box {
    font-size: 14px;
  }
}

@media (min-width: 0px) and (max-width: 576px) {
  .referral-history .referral-card {
    flex-direction: column;
    align-items: flex-start;
    gap: 9px;
  }
  .referral-history .status-content {
    text-align: left;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    row-gap: 0;
    align-items: center;
  }
  .referral-history .user-icon {
    width: 50px;
    height: 50px;
    aspect-ratio: 1/1;
  }
  .referral-history .status-content h6 {
    justify-content: flex-start;
  }
  .referral-history .user-details h4 {
    font-size: 14px;
    margin: 0;
  }
  .referral-history .status-title {
    margin: 0 0 4px;
  }
  .referral-history .status-content small {
    margin-bottom: 4px;
  }
  .referral-history .left-content {
    gap: 10px;
  }
  .referral-history .history-header h5,
  .referral-history .sort-box {
    font-size: 14px;
  }
  .referral-history .history-header {
    margin-bottom: 8px;
  }
  .referral-history .history-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 8px;
  }
  .referral-history .referral-id {
    font-size: 12px;
    margin-bottom: 1px;
  }
  .referral-history .join-date {
    font-size: 12px;
  }
  .referral-history .filter-item {
    font-size: 11px;
  }
  .referral-history .filter-dropdown {
    top: 25px;
  }
}
